package com.yonge.toolset.payment.base.model;

import com.yonge.toolset.payment.base.enums.OpenEnum;
import com.yonge.toolset.payment.base.enums.PayChannelEnum;
import com.yonge.toolset.payment.base.enums.PaymentClientEnum;

/**
 * 统一支付授权请求对象
 *
 * @Author: liweifan
 * @Data: 2022/5/10 15:06
 */
public class OpenAuth extends Base {
    /***
     * 用户授权码
     * @author liweifan
     * @updateTime 2022/3/31 11:00
     */

    private String code;

    public OpenAuth(OpenEnum openType, PaymentClientEnum paymentClient, PayChannelEnum payChannel) {
        super(openType,paymentClient , payChannel);
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
